[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Resize

Resizes the control and updates the scroll bars and the States property.

## Declaration

Source position: comctrls.pp line 3643

`protected procedure TCustomTreeView.Resize; override;`

## Description

Resize is an overridden method in TCustomTreeView. It updates values in the States property to include tvsScrollbarChanged and tvsBottomItemNeedsUpdate. It calls the inherited method to check for changes and execute the DoOnResize method. Resize calls UpdateScrollbars to update the visibility and position for the scroll bars on the control.

## See also

TControl.Resize |  | Checks for changes and calls DoOnResize if needed.